LogoRecal
Rest apiEndpoints

Create User

POST
/v1/users

Create a user and optionally connect to organizations directly

AuthorizationBearer <token>

Recal API token

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/users" \  -H "Content-Type: application/json" \  -d '{    "id": "user_123"  }'
{  "data": {    "createdAt": "2025-04-24T00:00:00.000Z",    "id": "user_123",    "oauthConnections": [      {        "alive": true,        "email": "user@example.com",        "expiresAt": "2019-08-24T14:15:22Z",        "provider": "google",        "scope": [          "string"        ],        "type": "string",        "accessToken": null,        "refreshToken": null      }    ],    "organizations": [      {        "createdAt": "2025-04-24T00:00:00.000Z",        "name": "Recal",        "slug": "recal",        "members": [          {            "createdAt": "2025-04-24T00:00:00.000Z",            "id": "user_123"          }        ]      }    ]  }}